#ifndef DISCRETEANGLE_H
#define DISCRETEANGLE_H

#include "Range.h"

// A fixed point 16-bit signed angle between (-180..180]
// class DiscreteAngle16 : public Range16 {
// public:
//   DiscreteAngle16(float angle);

//   inline DiscreteAngle16 &operator-() override;
// };

template <typename T> class AngleUsing : RangeUsing<T> {
public:
  AngleUsing(T sourceValue);
  float ToFloat();
  inline T GetValue() { return this->value; }
};

#endif

template <typename T> inline float AngleUsing<T>::ToFloat() { return 0.0f; }
